/*
 * Person.java
 *
 * Created on 20. říjen 2005, 14:36
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.muni.fi.pa165.addressbook;

import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author xadamek2
 */
public class Person {

    private String name;
    private String address;
    private Integer id;
    private Set phoneNumbers = new HashSet();
    
    public Person() {       
    }
    
    public Person(String name, String address) {
        this.name = name;
        this.address = address;
    }
      
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getId() {
        return id;
    }

    private void setId(Integer id) {
        this.id = id;
    }

    public Set getPhoneNumbers() {
        return phoneNumbers;
    }

    private void setPhoneNumbers(Set phoneNumbers) {
        this.phoneNumbers = phoneNumbers;
    }

    public boolean equals(Object obj) {
        return (obj instanceof Person) &&
                ((Person) obj).getId().equals(getId());
    }

    public int hashCode() {
        return getId().hashCode();
    }
    
}
