/*
 * PhoneNumber.java
 *
 * Created on 20. říjen 2005, 14:40
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package cz.muni.fi.pa165.addressbook;

import java.io.Serializable;

/**
 *
 * @author xadamek2
 */
public class PhoneNumber implements Serializable {
    
    public PhoneNumber() {
    }

    public PhoneNumber(String number, String description) {
        this.number = number;
        this.description = description;
    }
    
    private Integer personId;
    private String number;
    private String description;

    public Integer getPersonId() {
        return personId;
    }

    private void setPersonId(Integer personId) {
        this.personId = personId;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean equals(Object obj) {
        return (obj instanceof PhoneNumber) &&
                ((PhoneNumber) obj).getPersonId().equals(getPersonId()) && 
                (((PhoneNumber) obj).getNumber().equals(getNumber()));
    }

    public int hashCode() {
        int result = 17;
        result = 37*result + getPersonId().hashCode();
        result = 37*result + getNumber().hashCode();
        return result;
    }

    
}
